## org.apache.batik.css.engine
Interface CSSNavigableDocument

All Known Implementing Classes:
  SVG12OMDocument, SVGOMDocument

    public interface CSSNavigableDocument

An interface for documents that have CSSNavigableNodes.

Method Summary
`void` `addCSSNavigableDocumentListener(CSSNavigableDocumentListener l)` Adds an event listener for mutations on the CSSNavigableDocument tree.
`void` `removeCSSNavigableDocumentListener(CSSNavigableDocumentListener l)` Removes an event listener for mutations on the CSSNavigableDocument tree.

Method Detail

### addCSSNavigableDocumentListener

    void addCSSNavigableDocumentListener(CSSNavigableDocumentListener l)

  Adds an event listener for mutations on the CSSNavigableDocument tree.

### removeCSSNavigableDocumentListener

    void removeCSSNavigableDocumentListener(CSSNavigableDocumentListener l)

  Removes an event listener for mutations on the CSSNavigableDocument tree.

Copyright © 2008 Apache Software Foundation. All Rights Reserved.